k_truncated_normal {keras} | R Documentation

## Returns a tensor with truncated random normal distribution of values.

### Description

The generated values follow a normal distribution with specified mean and standard deviation, except that values whose magnitude is more than two standard deviations from the mean are dropped and re-picked.

### Usage

    k_truncated_normal(shape, mean = 0, stddev = 1, dtype = NULL,
      seed = NULL)

### Arguments

`shape` | A list of integers, the shape of tensor to create.
`mean` | Mean of the values.
`stddev` | Standard deviation of the values.
`dtype` | String, dtype of returned tensor.
`seed` | Integer, random seed.

### Value

A tensor.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]